
/*
    Theme colours
    Dark: #a9e2ff
    Light: #d0edfb
*/

@font-face {
    font-family: 'Instrument Sans';
    font-style: normal;
    font-weight: 400 700;
    font-stretch: 100%;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/instrumentsans/v1/pxiTypc9vsFDm051Uf6KVwgkfoSxQ0GsQv8ToedPibnr0SZe1Q.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

body {
    font-family: 'Instrument Sans', helvetica, Sans-Serif;
    margin: 0px;
    overflow-x: hidden;
}

.sweetAlertImage {
    padding: 10px !important;
}

.gridViewColumn {
    padding-right: 40px;
}

/*
Front page
*/

.tagLine {
    font-family: 'Courier New', monospace;
    font-size: xx-large;
    padding-top: 10px;
    padding-bottom: 10px;
}

.centredText {
    font-family: 'Courier New', monospace;
    font-size: large;
    font-weight: bold;
    background-color: lightgreen;
    padding-top: 20px;
    padding-bottom: 20px;
}

.bannerHomePage {
    z-index: 900;
    position: fixed;
    top: 0px;
    left: 0px;
    height: 100px;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 15px;
}

.linkFrontPage {
    font-size: small;
    color: #C6A97D;
    padding-left: 20px;
    padding-right: 20px;
    white-space: nowrap;
    text-decoration: none;
}

.imageExLink {
    content: url(/img/icon-link-open.png);
    width: 10px;
    margin-left: 8px;
}

.titleFrontPage img {
    width: 80%;
    max-width: 300px;
}

.bannerFrontPage {
    width: 100%;
    box-shadow: rgba(0, 0, 0, 0.5) 5px 5px 15px;
}

.logoFrontPage {
    position: absolute;
    top: 0px;
    left: 10%;
    padding: 10px;
    /*box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 5px;
    font-size: 36px;*/
}

.logoFrontPage img {
    /*padding-top: 10px;*/
    width: 100px;
}

@media screen and (max-width: 800px) {
    .logoFrontPage {
        position: absolute;
        top: 0px;
        left: 0px;
        padding: 10px;
        /*box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 5px;
        font-size: 24px;*/
    }

    .logoFrontPage img {
        /*display: none;*/
        /*padding-top: 10px;*/
        width: 50px;
    }
}

.logoFrontPageLarge {
    position: absolute;
    right: 20%;
    opacity: 0.2;
    width: 600px;
}

.tableFrontPage {
    margin-bottom: 30px;
}

.tableFrontPage td {
    vertical-align: middle;
    padding-right: 30px;
}

.contentBox {
    margin: auto;
    padding: 50px;
    max-width: 900px;
    width: 80%;
}

@media screen and (max-width: 900px) {
    .contentBox {
        margin: auto;
        padding: 50px 15px 0px 15px;
        width: 90%;
    }
}

.borderBox {
    display: inline-block;
    /* border: 1px solid; */
    /* padding: 24px; */
    margin-bottom: 24px;
    max-width: 720px;
    width: 80%;
    /*background-color: #d0edfb;*/
}

.borderBoxInner {
    display: inline-block;
    /*border: 1px solid;*/
    padding: 24px;
    width: 350px;
    max-width: 672px;
    /*background-color: #a9e2ff;*/
}

.borderBoxInner:not(:last-child) {
    margin-bottom: 24px;
}

.buttonContainerFront {
    z-index: 1000;
    position: fixed;
    top: 0px;
    right: 10%;
}

.buttonFront {
    position: relative;
    top: 0px;
    right: 0px;
    display: inline-block;
    padding: 10px 20px 0px 20px;
    height: 80px;
    text-align: center;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 5px;
    cursor: pointer;
    color: #0000ff;
}

.buttonFront span {
    font-size: small;
    display: inline-block;
    padding: 5px 0px 5px 0px;
}

.buttonFront img {
    display: inline-block;
}

@media screen and (max-width: 800px) {
    .buttonContainerFront {
        z-index: 1000;
        position: fixed;
        top: 0px;
        right: 5px;
    }

    .buttonFront {
        position: relative;
        top: 0px;
        right: 0px;
        display: inline-block;
        padding: 5px 10px 0px 10px;
        height: 48px;
        text-align: center;
        box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 5px;
        cursor: pointer;
        color: #0000ff;
    }

    .buttonFront span {
        display: inline-block;
        padding: 0px 0px 5px 0px;
    }

    .buttonFront img {
        width: 25px;
        /*display: none;*/
    }
}

.logoHomePage {
    z-index: 1000;
    position: fixed;
    top: 0px;
    left: 10%;
    padding: 10px;
    /*box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 5px;*/
    font-size: 36px;
    cursor: pointer;
}

.logoHomePage img {
    /*padding-top: 10px;*/
    /*width: 70px;*/
}

@media screen and (max-width: 480px) {
    .logoHomePage {
        z-index: 1000;
        position: fixed;
        top: 0px;
        left: 0px;
        padding: 10px;
        /*box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 5px;*/
        font-size: 24px;
        cursor: pointer;
    }

    .logoHomePage img {
        /*display: none;*/
        /*padding-top: 10px;*/
        /*width: 70px;*/
    }
}

.fieldMandatory {
    /*border: 1px dashed Blue;*/
    background-color: #FFFFD0;
    border: 1px solid #808080;
}

/*
Security pages
*/

.logoSecurity img {
    height: 30px;
}

.contentSecurityPage {
    width: 300px;
    position: absolute;
    left: 50%;
    top: 50px;
    margin: 0px 0px 50px -150px;
    overflow-y: auto;
    background: rgba(255, 255, 255, 0.75);
}

.bodySecurityPage {
    background-color: #a9e2ff;
}

.bannerSecurityPage {
    display: none;
}

@media screen and (min-aspect-ratio: 1600/1193) and (min-height: 720px) {
    .bannerSecurityPage {
        display: inline;
        width: 100%;
    }
}

/*
General
*/

.contentFrontPage {
    display: inline-block;
    position: relative;
    left: 10%;
    width: 80%;
    background-color: #a9e2ff;
    border-bottom: 1px solid #808080;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 10px;
}

@media screen and (max-width: 480px) {
    .contentFrontPage {
        display: inline-block;
        position: relative;
        left: 0%;
        width: 100%;
        background-color: #a9e2ff;
        border-bottom: 1px solid #808080;
        box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 10px;
    }
}

.contentInner {
    padding: 0px 20px 10px 20px;
}

.overlay75 {
    background-color: #FFFFFF;
    opacity: 0.75;
}

.overlay50 {
    background-color: #FFFFFF;
    opacity: 0.5;
}

.contentGeneral {
    background-color: #a9e2ff;
    border-bottom: 1px solid #808080;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 10px;
    margin: 0px 0px 50px 0px;
    padding: 20px;
    width: 90%;
}

.countdownWidget {
    text-align: center;
    position: fixed;
    bottom: 0px;
    padding: 10px;
    border-top: 1px solid #808080;
    width: 100%;
    background-color: #ffffff;
    color: #808080;
    font-size: small;
}

.dropArea {
    border: 2px dashed #000000;
    padding: 20px;
    /*margin-bottom: 20px;*/
    text-align: center;
    font-family: sans-serif;
    cursor: pointer;
    width: 90%;
}

.dropAreaLight {
    background-color: deepskyblue;
}

.progressGroup {
    width: 90%;
}

.progressItem {
    /*border: 1px solid black;*/
    padding: 10px;
    width: 100%;
}

.progressFilename {
    width: 100%;
    font-family: monospace;
}

.progressCancel {
    color: blue;
    cursor: pointer;
    text-decoration: underline;
    width: fit-content;
    font-family: monospace;
}

.progressBar {
    background-color: darkblue;
    width: 0%;
    display: none;
}

/*
home page widgets
*/

.homePageWidgetField {
    display: inline-block;
    width: 100%;
    max-width: 200px;
    margin-bottom: 20px;
}

.homePageSmallWidgetField {
    display: inline-block;
    width: 100%;
    max-width: 320px;
    margin-bottom: 20px;
    font-family: monospace !important;
}

.homePageWideWidgetField {
    display: inline-block;
    width: 95%;
    margin-bottom: 20px;
}

/*
spacing inside flex arrangements
*/

.lineSpacer {
    padding: 20px 0px 20px 0px;
}

.flexSpaceCube20 {
    min-width: 20px;
    min-height: 20px;
}

.flexSpaceCube40 {
    min-width: 40px;
    min-height: 40px;
}

/*
centring of elements    
*/

.centredText {
    text-align: center;
}

.centredDiv {
    display: inline-block;
    position: relative;
}

.centredDivOuter {
    text-align: center;
    width: 100%;
}

.centredDivInner {
    display: inline-block;
    width: 100%;
}

/*
margins and spacing, etc.
*/

.fontBold {
    font-weight: bold;
}

.fontBoldAndRed {
    font-weight: bold;
    color: red;
}

.inlineBlock {
    display: inline-block;
}

.padded20 {
    padding: 20px;
}

.padded10pc {
    padding-left: 10%;
    padding-right: 10%;
}

.marginTop10 {
    margin-top: 10px;
}

.marginTop20 {
    margin-top: 20px;
}

.marginLeft20 {
    margin-top: 20px;
}

.spacer10 {
    height: 10px;
}

.spacer20 {
    height: 20px;
}

.spacer50 {
    height: 50px;
}

.contentHidden {
    display: none;
}

/*
wildcard styles applied to controls
*/

input[type=text] {
    font-family: 'Instrument Sans', helvetica, Sans-Serif;
    height: 24px;
    font-size: 18px;
    padding-left: 5px;
}

textarea {
    font-family: 'Instrument Sans', helvetica, Sans-Serif;
    height: 24px;
    font-size: 18px;
    padding: 5px;
}

input[type=password] {
    font-family: 'Instrument Sans', helvetica, Sans-Serif;
    height: 24px;
    font-size: 18px;
    padding-left: 5px;
}

input[type=radio] {
    width: 24px;
    height: 24px;
    line-height: 24px;
    vertical-align: middle;
}

input[type=checkbox] {
    width: 22px;
    height: 22px;
    line-height: 22px;
    vertical-align: middle;
}

input[type=submit] {
    height: 32px;
    font-size: 18px;
    min-width: 100px;
}

input[type=button] {
    height: 32px;
    font-size: 18px;
    min-width: 100px;
}

input[type=file] {
    height: 32px;
    font-size: 18px;
    max-width: 250px;
}

button {
    height: 32px;
    font-size: 18px;
    min-width: 100px;
}

label {
    font-size: 18px;
}

select {
    font-family: 'Instrument Sans', helvetica, Sans-Serif;
    height: 30px;
    font-size: 18px;
}

hr {
    border-top: 1px solid #a0a0a0;
    border-right: 0px;
    border-bottom: 1px solid #c0c0c0;
    border-left: 0px;
}

h1, h2, h3 {
    font-family: 'Instrument Sans', helvetica, Sans-Serif;
    font-weight: 550;
    /*max-width: 400px;*/
    margin-top: 0;
}

/*
messageboxes
*/

.errorMessage {
    display: inline-block;
    padding: 5px;
    border: 1px solid #FF9000;
    background-color: #FFDCB2;
}

.successMessage {
    padding: 5px;
    border: 1px solid #00FF48;
    background-color: #BAFFCC;
}
